> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mezmo.ferndocs.com/api-reference/pipeline/processors/post-transform-group-from-pipeline/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server. # Post Transform Group From Pipeline POST https://api.mezmo.com/v3/transform-group/from-pipeline Content-Type: application/json Create a new Processor Group from a set of Pipeline components Reference: https://mezmo.ferndocs.com/api-reference/pipeline/processors/post-transform-group-from-pipeline ## Authentication - `Authorization` header (required) (prefixed with ` Token `) — Header authentication of the form `Token ` ## Request ### Body (application/json) This endpoint expects an object. - `title` (string, required) — The title of the Processor Group - `pipeline_id` (string, required) — The Pipeline ID to copy from. - `pipeline_transform_ids` (list of string, required) — A list of IDs of transforms to copy into this new group. - `description` (string, optional, nullable) — A description of this Processor Group's behavior or purpose. - `deploy_type` (enum, optional, default: saas) — The type of deployment this Processor Group will be used in. - Allowed values: `saas`, `local` ## Response ### 200 Default Response ## Examples **Request** ```json { "title": "Order Processor Error Handling Group", "pipeline_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "pipeline_transform_ids": [ "7c9e6679-7425-40de-944b-e07fc1f90ae7", "1c6b147e-8f3a-4d2a-9f3b-2a1d4e5f6b7c" ] } ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://api.mezmo.com/v3/transform-group/from-pipeline" payload = { "title": "Order Processor Error Handling Group", "pipeline_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "pipeline_transform_ids": ["7c9e6679-7425-40de-944b-e07fc1f90ae7", "1c6b147e-8f3a-4d2a-9f3b-2a1d4e5f6b7c"] } headers = { "Authorization": "Token ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mezmo.com/v3/transform-group/from-pipeline'; const options = { method: 'POST', headers: { Authorization: 'Token ', 'Content-Type': 'application/json' }, body: '{"title":"Order Processor Error Handling Group","pipeline_id":"3fa85f64-5717-4562-b3fc-2c963f66afa6","pipeline_transform_ids":["7c9e6679-7425-40de-944b-e07fc1f90ae7","1c6b147e-8f3a-4d2a-9f3b-2a1d4e5f6b7c"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mezmo.com/v3/transform-group/from-pipeline" payload := strings.NewReader("{\n \"title\": \"Order Processor Error Handling Group\",\n \"pipeline_id\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n \"pipeline_transform_ids\": [\n \"7c9e6679-7425-40de-944b-e07fc1f90ae7\",\n \"1c6b147e-8f3a-4d2a-9f3b-2a1d4e5f6b7c\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Token ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mezmo.com/v3/transform-group/from-pipeline") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Token ' request["Content-Type"] = 'application/json' request.body = "{\n \"title\": \"Order Processor Error Handling Group\",\n \"pipeline_id\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n \"pipeline_transform_ids\": [\n \"7c9e6679-7425-40de-944b-e07fc1f90ae7\",\n \"1c6b147e-8f3a-4d2a-9f3b-2a1d4e5f6b7c\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.mezmo.com/v3/transform-group/from-pipeline") .header("Authorization", "Token ") .header("Content-Type", "application/json") .body("{\n \"title\": \"Order Processor Error Handling Group\",\n \"pipeline_id\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n \"pipeline_transform_ids\": [\n \"7c9e6679-7425-40de-944b-e07fc1f90ae7\",\n \"1c6b147e-8f3a-4d2a-9f3b-2a1d4e5f6b7c\"\n ]\n}") .asString(); ``` ```php request('POST', 'https://api.mezmo.com/v3/transform-group/from-pipeline', [ 'body' => '{ "title": "Order Processor Error Handling Group", "pipeline_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "pipeline_transform_ids": [ "7c9e6679-7425-40de-944b-e07fc1f90ae7", "1c6b147e-8f3a-4d2a-9f3b-2a1d4e5f6b7c" ] }', 'headers' => [ 'Authorization' => 'Token ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mezmo.com/v3/transform-group/from-pipeline"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Token "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"title\": \"Order Processor Error Handling Group\",\n \"pipeline_id\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n \"pipeline_transform_ids\": [\n \"7c9e6679-7425-40de-944b-e07fc1f90ae7\",\n \"1c6b147e-8f3a-4d2a-9f3b-2a1d4e5f6b7c\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Token ", "Content-Type": "application/json" ] let parameters = [ "title": "Order Processor Error Handling Group", "pipeline_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "pipeline_transform_ids": ["7c9e6679-7425-40de-944b-e07fc1f90ae7", "1c6b147e-8f3a-4d2a-9f3b-2a1d4e5f6b7c"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v3/transform-group/from-pipeline")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```